websocket-sharp System.Object Provides the basic functions of the server that receives the WebSocket connection requests. The WebSocketServerBase class is an abstract class.
- Constructor
  Initializes a new instance of the class.
  To be added.
- Constructor
  A that contains a WebSocket URL.
  Initializes a new instance of the class that listens for incoming connection attempts on the specified WebSocket URL.
  To be added.
  is .
  is invalid.
- Constructor
  A that contains a local IP address.
  An that contains a port number.
  A that contains an absolute path.
  A that indicates providing a secure connection or not. (true indicates providing a secure connection.)
  Initializes a new instance of the class that listens for incoming connection attempts on the specified , , and .
  To be added.
  Either or is .

  is invalid.

  -or-

  Pair of and is invalid.

- Method
  System.Void `` A that contains the WebSocket connection request objects. Accepts a WebSocket connection request. To be added.
- Property
  System.Net.IPAddress Gets the local IP address on which to listen for incoming connection attempts. A that contains a local IP address. To be added.
- Property
  System.Uri Gets or sets the WebSocket URL on which to listen for incoming connection attempts. A that contains a WebSocket URL. To be added.
- Method
  System.Void `` A that contains an error message. Occurs the event with the specified . To be added.
- Property
  System.Boolean Gets a value indicating whether the server provides secure connection. true if the server provides secure connection; otherwise, false. To be added.
- Property
  System.Boolean Gets a value indicating whether the server is self host. true if the server is self host; otherwise, false. To be added.
- Event
  System.EventHandler<WebSocketSharp.ErrorEventArgs> Occurs when the server gets an error. To be added.
- Property
  System.Int32 Gets the port on which to listen for incoming connection attempts. An that contains a port number. To be added.
- Method
  System.Void Starts to receive the WebSocket connection requests. To be added.
- Method
  System.Void Stops receiving the WebSocket connection requests. To be added.